Registers.ClipboardRegister (jEdit API Documentation)

Package org.gjt.sp.jedit

## Class Registers.ClipboardRegister

- java.lang.Object
- - org.gjt.sp.jedit.Registers.ClipboardRegister

- All Implemented Interfaces:
    `Registers.Register`
  Enclosing class:
    Registers

      public static class Registers.ClipboardRegister
      extends java.lang.Object
      implements Registers.Register

  A clipboard register. Register "$" should always be an instance of this.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClipboardRegister​(java.awt.datatransfer.Clipboard clipboard)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.awt.datatransfer.Transferable` | `getTransferable()` |
    `void` | `setTransferable​(java.awt.datatransfer.Transferable transferable)` |
    `void` | `setValue​(java.lang.String value)` | Sets the clipboard contents.
    `java.lang.String` | `toString()` | Returns the clipboard contents.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClipboardRegister

          public ClipboardRegister​(java.awt.datatransfer.Clipboard clipboard)

  - ### Method Detail

    - #### setValue

          public void setValue​(java.lang.String value)

      Sets the clipboard contents.
      Specified by:
        `setValue` in interface `Registers.Register`

    - #### toString

          public java.lang.String toString()

      Returns the clipboard contents.
      Specified by:
        `toString` in interface `Registers.Register`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### getTransferable

          public java.awt.datatransfer.Transferable getTransferable()

      Specified by:
        `getTransferable` in interface `Registers.Register`

    - #### setTransferable

          public void setTransferable​(java.awt.datatransfer.Transferable transferable)

      Specified by:
        `setTransferable` in interface `Registers.Register`